| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__BgSubnetData Struct Reference
Business Group Subnet

Business Group Subnet Data fields. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__BgSubnetId | BgSubnetId
| Business Group subnet identifier fields. More...
char * | Description
| Business Group Subnet description. More...
struct unsp__LINList * | LINList
| Location Identification Number list for the Business Group subnet. More...
xsd__string | LinPoolName
| Lin Pool name. More...
char * | RouteNumber
| Route Number appended to the subscriber-dialed number for retranslation and routing of the call to the PSAP operator. More...
xsd__boolean * | SendLINInsteadCPN
| Indicates whether the LIN is to be sent instead of the CPN (Calling Party Number) for E911 calls. More...
char * | AssociatedEndpointIP
| IP address of the associated endpoint. More...
char * | RepresentativeEndpointName
| Name of the representative endpoint. More...
struct unsp__LocationInfo * | LocationInfo
| Next Generation E911 Location Information required: false. More...
enum unsp__OverwriteNAMwithLIN * | OverwriteNAMwithLIN
| Indicates how OSV will handle the NAM field into the PIDF-LO of outgoing Emergency Calls. More...

## Detailed Description

Business Group Subnet Data fields.

## Member Data Documentation

## ◆ AssociatedEndpointIP

char* unsp__BgSubnetData::AssociatedEndpointIP

IP address of the associated endpoint.

required: false
default value[range]: NA [1..45]

## ◆ BgSubnetId

struct unsp__BgSubnetId unsp__BgSubnetData::BgSubnetId

Business Group subnet identifier fields.

required: true

## ◆ Description

char* unsp__BgSubnetData::Description

Business Group Subnet description.

required: false
default value[range]: NA [0..128]

## ◆ LINList

struct unsp__LINList* unsp__BgSubnetData::LINList

Location Identification Number list for the Business Group subnet.

required: false

## ◆ LinPoolName

xsd__string unsp__BgSubnetData::LinPoolName

Lin Pool name.

required: true
default value[range]: NA [1..64]

## ◆ LocationInfo

struct unsp__LocationInfo* unsp__BgSubnetData::LocationInfo

Next Generation E911 Location Information
required: false.

## ◆ OverwriteNAMwithLIN

enum unsp__OverwriteNAMwithLIN* unsp__BgSubnetData::OverwriteNAMwithLIN

Indicates how OSV will handle the NAM field into the PIDF-LO of outgoing Emergency Calls.

required: false
default value[range]: passthrough (default)

## ◆ RepresentativeEndpointName

char* unsp__BgSubnetData::RepresentativeEndpointName

Name of the representative endpoint.

required: false

See also
  unsp__EndpointName

## ◆ RouteNumber

char* unsp__BgSubnetData::RouteNumber

Route Number appended to the subscriber-dialed number for retranslation and routing of the call to the PSAP operator.

required: false
default value[range]: 0 [0..4]

## ◆ SendLINInsteadCPN

xsd__boolean* unsp__BgSubnetData::SendLINInsteadCPN

Indicates whether the LIN is to be sent instead of the CPN (Calling Party Number) for E911 calls.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h